
function [ ] = Do_JntReactAnalysis(modelpath,motionpath,resultpath)
    
    import org.opensim.modeling.*
    model = Model(modelpath);
    
    jointReact = AnalyzeTool([resultpath 'jointReact_Setup.xml']);
    jointReact.setModel(model);
    jointReact.setCoordinatesFileName(motionpath);
    jointReact.setResultsDir(resultpath);
    jointReact.setStartTime(0);
    jointReact.setFinalTime(0); % Needs updating if dynamic motion is modeled
    jointReact.run();
    jointReact.print([resultpath 'jointReact_Setup.xml']);

    model.delete();
    clear model;
    jointReact.delete();
    clear jointReact

end