function [ ] = Do_StatOpAnalysis(modelpath,motionpath,extloadpath,resultpath,FileDirectory)

    import org.opensim.modeling.*
    model = Model(modelpath);

    statop = AnalyzeTool([FileDirectory 'staticOpt_setup.xml']);
    statop.setModel(model)
    statop.setStartTime(0)
    statop.setFinalTime(0) %Needs updating if dynamic activity is performed
    statop.setCoordinatesFileName(motionpath)
    
    ExtLoads = ExternalLoads(model,[FileDirectory 'extForces_Setup.xml']);
    ExtLoads.setDataFileName(extloadpath);
    ExtLoads.print([resultpath 'extForces_Setup.xml']);
    
    statop.setExternalLoadsFileName([resultpath 'extForces_Setup.xml']);
    
    statop.setResultsDir(resultpath);
    statop.run();
    statop.print([resultpath 'staticOpt_Setup.xml']);
    copyfile([FileDirectory 'jointReact_Setup.xml'], resultpath);

    model.delete();
    clear model;
    statop.delete();
    clear statop;
    ExtLoads.delete()
    clear ExtLoads;

end