
function [VertComp, VertAPShear, VertMLShear] = Get_VertLoad(resultpath)

    import org.opensim.modeling.*

    childReact = importdata([resultpath, '\NMB_JointReaction_child_ReactionLoads.sto'], '\t');
    parentReact = importdata([resultpath, '\NMB_JointReaction_parent_ReactionLoads.sto'], '\t');

    %Compression  
    child_Comp = childReact.data(1:size(childReact.data,1),30:9:498);
    parent_Comp = parentReact.data(1:size(childReact.data,1),30:9:498);
    
    %AP Shear
    child_APShear = childReact.data(1:size(childReact.data,1),29:9:497);
    parent_APShear = parentReact.data(1:size(childReact.data,1),29:9:497);
    
    
    %Medial-lateral Shear
    child_MLShear = childReact.data(1:size(childReact.data,1),31:9:499);
    parent_MLShear = parentReact.data(1:size(childReact.data,1),31:9:499);

    %Compression
    for i=1:size(childReact.data,1)
        
        for k=2:size(child_Comp,2)
            if parent_Comp(i,k) <= 0
                sign = 1;
            else
                sign = -1;
            end
            Final_Comp(i,k-1) = sign*(abs(child_Comp(i,k-1))+ abs(parent_Comp(i,k)))/2;
        end
        VertComp(i,:) = Final_Comp(i,17:-1:1);

        %Anterior-posterior Shear

        for k=2:size(child_APShear,2)
            if parent_APShear(i,k) >= 0
                sign = 1;
            else
                sign = -1;
            end
            Final_APShear(i,k-1) = sign*(abs(child_APShear(i,k-1))+ abs(parent_APShear(i,k)))/2;
        end
        VertAPShear(i,:) = Final_APShear(i,17:-1:1);

        %Medial-lateral Shear
       
        for k=2:size(child_MLShear,2)
            if parent_MLShear(i,k) >= 0
                sign = 1;
            else
                sign = -1;
            end
            Final_MLShear(i,k-1) = sign*(abs(child_MLShear(i,k-1))+ abs(parent_MLShear(i,k)))/2;
        end
        VertMLShear(i,:) = Final_MLShear(i,17:-1:1);
        i=i+1;
    end
    
end